Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::TriangleIndexFunctor< T > Class Template Reference

Inheritance diagram for osg::TriangleIndexFunctor< T >:

[legend]
List of all members.

## Public Member Functions
virtual void | setVertexArray (unsigned int, const Vec2 *)
virtual void | setVertexArray (unsigned int,const Vec3 *)
virtual void | setVertexArray (unsigned int, const Vec4 *)
virtual void | begin (GLenum mode)
virtual void | vertex (unsigned int vert)
virtual void | end ()
virtual void | drawArrays (GLenum mode, GLint first, GLsizei count)
virtual void | drawElements (GLenum mode, GLsizei count, const GLubyte *indices)
virtual void | drawElements (GLenum mode, GLsizei count, const GLushort *indices)
virtual void | drawElements (GLenum mode, GLsizei count, const GLuint *indices)
## Public Attributes
GLenum | _modeCache
std::vector< GLuint > | _indexCache

### template<class T>
class osg::TriangleIndexFunctor< T >

## Member Function Documentation

template<class T>
virtual void osg::TriangleIndexFunctor< T >::begin | ( | GLenum | mode | ) | `[inline, virtual]`

| Implements osg::PrimitiveIndexFunctor.

template<class T>
virtual void osg::TriangleIndexFunctor< T >::drawArrays | ( | GLenum | mode,
|  | GLint | first,
|  | GLsizei | count
| ) | `[inline, virtual]`

| Implements osg::PrimitiveIndexFunctor.

template<class T>
virtual void osg::TriangleIndexFunctor< T >::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLuint * | indices
| ) | `[inline, virtual]`

| Implements osg::PrimitiveIndexFunctor.

template<class T>
virtual void osg::TriangleIndexFunctor< T >::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLushort * | indices
| ) | `[inline, virtual]`

| Implements osg::PrimitiveIndexFunctor.

template<class T>
virtual void osg::TriangleIndexFunctor< T >::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLubyte * | indices
| ) | `[inline, virtual]`

| Implements osg::PrimitiveIndexFunctor.

template<class T>
virtual void osg::TriangleIndexFunctor< T >::end | ( |  | ) | `[inline, virtual]`

| Implements osg::PrimitiveIndexFunctor.

template<class T>
virtual void osg::TriangleIndexFunctor< T >::setVertexArray | ( | unsigned | int,
|  | const Vec4 * |
| ) | `[inline, virtual]`

| Implements osg::PrimitiveIndexFunctor.

template<class T>
virtual void osg::TriangleIndexFunctor< T >::setVertexArray | ( | unsigned | int,
|  | const Vec3 * |
| ) | `[inline, virtual]`

| Implements osg::PrimitiveIndexFunctor.

template<class T>
virtual void osg::TriangleIndexFunctor< T >::setVertexArray | ( | unsigned | int,
|  | const Vec2 * |
| ) | `[inline, virtual]`

| Implements osg::PrimitiveIndexFunctor.

template<class T>
virtual void osg::TriangleIndexFunctor< T >::vertex | ( | unsigned int | vert | ) | `[inline, virtual]`

| Implements osg::PrimitiveIndexFunctor.

## Member Data Documentation

template<class T>
std::vector<GLuint> osg::TriangleIndexFunctor< T >::_indexCache

template<class T>
GLenum osg::TriangleIndexFunctor< T >::_modeCache

The documentation for this class was generated from the following file:

- TriangleIndexFunctor